Ingest FindAll Run
curl --request POST \
--url https://api.aisa.one/apis/v1/parallel/findall/ingest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objective": "Find all AI companies that raised Series A funding in 2024"
}
'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/ingest"
payload = { "objective": "Find all AI companies that raised Series A funding in 2024" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objective: 'Find all AI companies that raised Series A funding in 2024'})
};
fetch('https://api.aisa.one/apis/v1/parallel/findall/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objective": "Find all AI companies that raised Series A funding in 2024",
"entity_type": "companies",
"match_conditions": [
{
"name": "developing_ai_products_check",
"description": "Company must be developing artificial intelligence (AI) products"
},
{
"name": "raised_series_a_2024_check",
"description": "Company must have raised Series A funding in 2024"
}
],
"generator": "core"
}Parallel.ai
Ingest FindAll Run
Convert a natural-language FindAll objective into a structured schema.
POST
https://api.aisa.one
/
apis
/
v1
/
parallel
/
findall
/
ingest
Ingest FindAll Run
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
请求体
application/json
Input model for FindAll ingest.
Natural language objective to create a FindAll run spec.
示例:
"Find all AI companies that raised Series A funding in 2024"
响应
Successful Response
Response model for FindAll ingest.
Natural language objective of the FindAll run.
示例:
"Find all AI companies that raised Series A funding in 2024"
Type of the entity for the FindAll run.
List of match conditions for the FindAll run.
Show child attributes
Show child attributes
List of enrichment inputs for the FindAll run.
Show child attributes
Show child attributes
The generator of the FindAll run.
可用选项:
base, core, pro, preview Max number of candidates to evaluate